from azureml.core import Workspace, Run
from azureml.studio.core.logger import logger
import time


def get_time_as_string():
    return time.strftime("%Y-%m-%d %H:%M:%S", time.gmtime())


def get_workspace():
    try:
        run = Run.get_context()
        if run.id.startswith('OfflineRun'):
            workspace = Workspace.from_config("data/config.json")
        else:
            workspace = run.experiment.workspace
        logger.info(f'Workspace information: {workspace}')
        return workspace
    except Exception as azureml_workspace_error:
        logger.error(
            f"{get_time_as_string()} Exception in get_workspace(): {str(azureml_workspace_error)}.")
        raise azureml_workspace_error
